# cMessage Class Reference

List of all members.

## Classes

class | cBlock
class | cBlockDispenser

## Public Member Functions

| cMessage (BYTE *pbPacket, int nSize)
void | pasteData (BYTE *pData, int nBytes)
void | pasteAlign (int nBoundary)
void | pasteString (const char *str)
size_t | getSize () const
void | getData (size_t nOffset, size_t nLength, BYTE *pBuffer) const
template<class DataT >
void | paste (DataT dt)
template<>
void | paste (char *str)
template<>
void | paste (const char *str)
template<class ItemT >
void | paste (std::vector< ItemT > &vec)
void | CannedData (BYTE *pbData, DWORD dwSize)
BYTE & | operator[] (int iElem) const

The documentation for this class was generated from the following files:

- E:/uas2/Server/Message.h
- E:/uas2/Server/Message.cpp